Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osgSim::LightPoint Class Reference

List of all members.

## Public Types
enum | BlendingMode { ADDITIVE, BLENDED }
## Public Member Functions
| LightPoint ()
| LightPoint (const osg::Vec3 &position, const osg::Vec4 &color)
| LightPoint (bool on, const osg::Vec3 &position, const osg::Vec4 &color, float intensity=1.0f, float radius=1.0f, Sector *sector=0, BlinkSequence *blinkSequence=0, BlendingMode blendingMode=BLENDED)
| LightPoint (const LightPoint &lp)
LightPoint & | operator= (const LightPoint &lp)
## Public Attributes
bool | _on
osg::Vec3 | _position
osg::Vec4 | _color
float | _intensity
float | _radius
osg::ref_ptr< Sector > | _sector
osg::ref_ptr< BlinkSequence > | _blinkSequence
BlendingMode | _blendingMode

## Member Enumeration Documentation

enum osgSim::LightPoint::BlendingMode

  | Enumeration values:
  ADDITIVE |
  BLENDED |

## Constructor & Destructor Documentation

osgSim::LightPoint::LightPoint | ( |  | ) |

osgSim::LightPoint::LightPoint | ( | const osg::Vec3 & | position,
|  | const osg::Vec4 & | color
| ) |

osgSim::LightPoint::LightPoint | ( | bool | on,
|  | const osg::Vec3 & | position,
|  | const osg::Vec4 & | color,
|  | float | intensity = 1.0f,
|  | float | radius = 1.0f,
|  | Sector * | sector = 0,
|  | BlinkSequence * | blinkSequence = 0,
|  | BlendingMode | blendingMode = BLENDED
| ) |

osgSim::LightPoint::LightPoint | ( | const LightPoint & | lp | ) |

## Member Function Documentation

LightPoint& osgSim::LightPoint::operator= | ( | const LightPoint & | lp | ) |

## Member Data Documentation

BlendingMode osgSim::LightPoint::_blendingMode

osg::ref_ptr<BlinkSequence> osgSim::LightPoint::_blinkSequence

osg::Vec4 osgSim::LightPoint::_color

float osgSim::LightPoint::_intensity

bool osgSim::LightPoint::_on

osg::Vec3 osgSim::LightPoint::_position

float osgSim::LightPoint::_radius

osg::ref_ptr<Sector> osgSim::LightPoint::_sector

The documentation for this class was generated from the following file:

- LightPoint